import babelPresetEnv from "@babel/preset-env";
import babelPluginTransformRuntime from "@babel/plugin-transform-runtime";

export default {
    "browserslistConfigFile": true,

    "sourceType": "unambiguous",

    "compact": false,
    "minified": false,
    "comments": true,

    "presets": [

        // NOTE https://babeljs.io/docs/babel-preset-env
        [
            babelPresetEnv,
            {
                "modules": "auto",
                "bugfixes": true,
                "ignoreBrowserslistConfig": false,
                "shippedProposals": true,

                "useBuiltIns": false,

                // "useBuiltIns": "usage",
                // "corejs": 3,
            },
        ],
    ],

    "plugins": [

        // NOTE https://babeljs.io/docs/babel-plugin-transform-runtime
        [
            babelPluginTransformRuntime,
            {
                "absoluteRuntime": true,
                "corejs": 3,
                "useESModules": true,
            },
        ],
    ],
};
